Package org.eclipse.jface.text.reconciler

# Interface IReconcilingStrategyExtension

All Known Implementing Classes:
  `SpellingReconcileStrategy`

public interface IReconcilingStrategyExtension
Extends `IReconcilingStrategy` with the following functions:

- usage of a progress monitor
- initial reconciling step: if a reconciler runs as periodic activity in the background, this methods offers the reconciler a chance for initializing its strategies and achieving a reconciled state before the periodic activity starts.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`initialReconcile()`
Called only once in the life time of this reconciling strategy.
`void`
`setProgressMonitor(IProgressMonitor monitor)`
Tells this reconciling strategy with which progress monitor it will work.

## Method Details

### setProgressMonitor

void setProgressMonitor(IProgressMonitor monitor)
Tells this reconciling strategy with which progress monitor it will work. This method will be called before any other method and can be called multiple times.

Parameters:
  `monitor` - the progress monitor with which this strategy will work

### initialReconcile

void initialReconcile()
Called only once in the life time of this reconciling strategy.